package com.yidianling.im.session.viewholder;

import android.widget.TextView;

import com.yidianling.im.R;
import com.yidianling.im.session.extension.CustomAttachmentSwitchKeFuTips;
import com.yidianling.nimbase.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter;
import com.yidianling.uikit.business.session.viewholder.MsgViewHolderBase;

/**
 * @author huozhiliang
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2021/1/26
 */
public class MsgViewHolderSwitchKeFuTips extends MsgViewHolderBase {
    private TextView textViewTips;
    public MsgViewHolderSwitchKeFuTips(BaseMultiItemFetchLoadAdapter adapter) {
        super(adapter);
    }

    @Override
    protected int getContentResId() {
        return R.layout.im_nim_switch_kefu_tips;
    }

    @Override
    protected void inflateContentView() {
        textViewTips=findViewById(R.id.tips_kefu);
    }

    @Override
    protected boolean isShowBubble() {
        return false;
    }

    @Override
    protected boolean isShowHeadImage() {
        return false;
    }

    @Override
    protected boolean isMiddleItem() {
        return true;
    }

    @Override
    protected void bindContentView() {
        CustomAttachmentSwitchKeFuTips customBusinessCard = (CustomAttachmentSwitchKeFuTips) message.getAttachment();
        textViewTips.setText(customBusinessCard.to_content);
    }
}
